/* Spinner styles */
.spinner {
    border: 4px solid #f3f3f3; /* Light grey */
    border-top: 4px solid #3454a1; /* Blue */
    border-radius: 100%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite;
    margin: 20px auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
